package com.bonus.canteen.core.auth.role.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@TableName("mgr_role_menu")
@ApiModel("角色菜单表")
public class MgrRoleMenu extends Model<MgrRoleMenu> {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("角色ID")
   private Long roleId;
   @ApiModelProperty("菜单ID")
   private Long menuId;
   @ApiModelProperty("节点状态：1全选；2半选")
   private Integer halfSelect;

   public Long getRoleId() {
      return this.roleId;
   }

   public Long getMenuId() {
      return this.menuId;
   }

   public Integer getHalfSelect() {
      return this.halfSelect;
   }

   public void setRoleId(final Long roleId) {
      this.roleId = roleId;
   }

   public void setMenuId(final Long menuId) {
      this.menuId = menuId;
   }

   public void setHalfSelect(final Integer halfSelect) {
      this.halfSelect = halfSelect;
   }

   public String toString() {
      Long var10000 = this.getRoleId();
      return "MgrRoleMenu(roleId=" + var10000 + ", menuId=" + this.getMenuId() + ", halfSelect=" + this.getHalfSelect() + ")";
   }

}
